0

I just updated Civicrm from 5.8 to 5.10.4. I also upgraded Wordpress from 4.x to 5.1. After the update, whenever a new user submits a membership form, the following error is shown (note this happens after they click confirm to submit their payment):

Sorry but we are not able to provide this at the moment.
We can't load the requested web page. This page requires cookies to be enabled in your browser settings. Please check this setting and enable cookies (if they are not enabled). Then try again. If this error persists, contact the site administrator for assistance.

Site Administrators: This error may indicate that users are accessing this page using a domain or URL other than the configured Base URL. EXAMPLE: Base URL is http://example.org, but some users are accessing the page via http://www.example.org or a domain alias like http://myotherexample.org.

Error type: Could not find a valid session key.

Information that is hopefully helpful:

  • Civi 5.10.4
  • Wordpress 5.1
  • All Civi extensions and WP plugins are at the latest version
  • URLS match in Wordpress wp-config and civicrm.settings.php and are not altered in the resource URLs space. Both are https.
  • Using Wordpress plugin CiviCRM WordPress Member Sync
  • Using Stripe as payment processor with CiviCRM Extension. Payments are successfully completed by Stripe even when this error page is shown.
  • Disabling Stripe as payment processor and selecting the "Pay Later by check" option still result in this same error
  • I am also using these additional extensions: Event Additional Signup, API v4, CiviDiscount, Mailchimp

The error message has not been helpful in diagnosing the issue and I was not able to find a past solution that helped, although this error has been asked about in several previous posts.


Update: Backtrace:

Apr 01 06:50:40  [info] $Fatal Error Details = Array
(
    [message] => We can't load the requested web page. This page requires cookies to be enabled in your browser settings. Please check this setting and enable cookies (if they are not enabled). Then try again. If this error persists, contact the site administrator for assistance.<br /><br />Site Administrators: This error may indicate that users are accessing this page using a domain or URL other than the configured Base URL. EXAMPLE: Base URL is http://example.org, but some users are accessing the page via http://www.example.org or a domain alias like http://myotherexample.org.<br /><br />Error type: Could not find a valid session key.
    [code] =>
)


Apr 01 06:50:40  [info] $backTrace = #0 /[root]/wp-content/plugins/civicrm/civicrm/CRM/Core/Error.php(381): CRM_Core_Error::backtrace("backTrace", TRUE)
#1 /[root]/wp-content/plugins/civicrm/civicrm/CRM/Core/Controller.php(833): CRM_Core_Error::fatal("We can't load the requested web page. This page requires cookies to be enable...")
#2 /[root]/wp-content/plugins/civicrm/civicrm/CRM/Core/Controller.php(853): CRM_Core_Controller->invalidKeyCommon()
#3 /[root]/wp-content/plugins/civicrm/civicrm/CRM/Contribute/Controller/Contribution.php(74): CRM_Core_Controller->invalidKeyRedirect()
#4 /[root]/wp-content/plugins/civicrm/civicrm/CRM/Core/Controller.php(312): CRM_Contribute_Controller_Contribution->invalidKey()
#5 /[root]/wp-content/plugins/civicrm/civicrm/CRM/Core/Controller.php(204): CRM_Core_Controller->key("CRM_Contribute_Controller_Contribution", TRUE, FALSE)
#6 /[root]/wp-content/plugins/civicrm/civicrm/CRM/Contribute/Controller/Contribution.php(55): CRM_Core_Controller->__construct("CiviContribute", "null")
#7 /[root]/wp-content/plugins/civicrm/civicrm/CRM/Core/Invoke.php(304): CRM_Contribute_Controller_Contribution->__construct("CiviContribute", TRUE, "null", NULL, "false")
#8 /[root]/wp-content/plugins/civicrm/civicrm/CRM/Core/Invoke.php(84): CRM_Core_Invoke::runItem((Array:15))
#9 /[root]/wp-content/plugins/civicrm/civicrm/CRM/Core/Invoke.php(52): CRM_Core_Invoke::_invoke((Array:3))
#10 /[root]/wp-content/plugins/civicrm/civicrm.php(1243): CRM_Core_Invoke::invoke((Array:3))
#11 /[root]/wp-content/plugins/civicrm/includes/civicrm.basepage.php(365): CiviCRM_For_WordPress->invoke()
#12 /[root]/wp-includes/class-wp-hook.php(286): CiviCRM_For_WordPress_Basepage->basepage_handler(Object(WP))
#13 /[root]/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters("", (Array:1))
#14 /[root]/wp-includes/plugin.php(531): WP_Hook->do_action((Array:1))
#15 /[root]/wp-includes/class-wp.php(750): do_action_ref_array("wp", (Array:1))
#16 /[root]/wp-includes/functions.php(1105): WP->main("")
#17 /[root]/wp-blog-header.php(16): wp()
#18 /[root]/index.php(17): require("/[root]/wp-blog-header.php")
#19 {main}
1

I feel like I've seen similar & the suggestion has been to upgrade Stripe

  • What do you mean by "upgrade Stripe"? – Scott Wilton Mar 5 at 20:10
  • Go to Administer > System Settings > Extensions and see whether there is an upgrade for the Stripe extension – Aidan Mar 6 at 9:11
  • @Aidan Stripe is at the most recent version. I just downloaded 5.3alpha to see if it would help and it does not solve the problem. Additionally, I still get the error if I disable the Stripe Payment processor entirely and select "Pay later by check". – Scott Wilton Mar 6 at 13:11

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.